com.vuze.plugins.mlab

## Class MLabRunner

- java.lang.Object
- - com.vuze.plugins.mlab.MLabRunner

-     public class MLabRunner
      extends Object

  As modified from BiglyBT MLabPlugin

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `MLabRunner.ToolListener` The parameter for runNDT()
    `static interface` | `MLabRunner.ToolRun` Returned from runNDT
    `static interface` | `MLabRunner.ToolRunListener` The listener for ToolRun

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MLabRunner` | `getInstance(I2PAppContext ctx)`
    `boolean` | `isRunning()`
    `static void` | `main(String[] args)` standalone test
    `MLabRunner.ToolRun` | `runNDT(MLabRunner.ToolListener listener)` Non-blocking, spawns a thread and returns immediately.
    `MLabRunner.ToolRun` | `runNDT(MLabRunner.ToolListener listener, boolean use_SSL, String serverHost)` Non-blocking, spawns a thread and returns immediately.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static MLabRunner getInstance(I2PAppContext ctx)

    - #### isRunning

          public boolean isRunning()

    - #### main

          public static void main(String[] args)

      standalone test

    - #### runNDT

          public MLabRunner.ToolRun runNDT(MLabRunner.ToolListener listener)

      Non-blocking, spawns a thread and returns immediately.
      Parameters:
        `listener` - use to detect completion and get results
      Returns:
        a ToolRun object which may be used to cancel the test, or null if there was already a test in progress.

    - #### runNDT

          public MLabRunner.ToolRun runNDT(MLabRunner.ToolListener listener,
                                           boolean use_SSL,
                                           String serverHost)

      Non-blocking, spawns a thread and returns immediately.
      Parameters:
        `listener` - use to detect completion and get results
        `use_SSL` - whether to use SSL to talk to the servers
        `serverHost` - if non-null, bypass the name server and run test with this host
      Returns:
        a ToolRun object which may be used to cancel the test, or null if there was already a test in progress.